windghost817
2021-09-22 17:16
采纳率: 89.5%
浏览 34
已结题

python3 flask项目中启动后在查询数据库时报错。


Traceback (most recent call last):
  File "/root/operation/invest_adv/venv/lib/python3.6/site-packages/sqlalchemy/util/_collections.py", line 1008, in __call__
    return self.registry[key]
KeyError: <greenlet.greenlet object at 0x7fe0d92c8c28 (otid=0x7fe0d91c4558) current active started main>

During handling of the above exception, another exception occurred
……
  File "/usr/local/python36/lib/python3.6/sqlite3/dbapi2.py", line 27, in <module>
    from _sqlite3 import *
ModuleNotFoundError: No module named '_sqlite3'

没看懂造成这个异常的原因是什么?
项目本身使用了mysql,完全没有使用sqllite
已经确定同一套代码在其他机器上可以正常执行。在报错机器上同时运行了多个不同的python项目

  • 好问题 提建议
  • 收藏

1条回答 默认 最新

相关推荐 更多相似问题